package com.ynet.life.file.parser;

import com.ynet.life.exception.TranFailException;
import com.ynet.life.file.LifeFile;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

/* loaded from: com_ynet_life_file_parser.jar:com/ynet/life/file/parser/CommonCSVFileWithTotalParser.class */
public class CommonCSVFileWithTotalParser implements CommonFileParserWithTotalInterface {
    private static final String COMMA = ",";

    @Override // com.ynet.life.file.parser.CommonFileParserWithTotalInterface
    public void writeToFile(List titles, List recordList, List outputFields, List outputFormats, List total, String filePathName, String encoding) throws TranFailException {
        StringBuffer fileContent = new StringBuffer();
        StringBuffer totalList = new StringBuffer();
        if (total != null && total.size() != 0) {
            short s = 0;
            while (true) {
                short i = s;
                if (i >= total.size()) {
                    break;
                }
                String totalValue = (String) total.get(i);
                totalList.append(totalValue);
                if (i < titles.size() - 1) {
                    totalList.append("|");
                }
                s = (short) (i + 1);
            }
            fileContent.append(totalList);
            fileContent.append(LifeFile.LINE_SEPARATOR);
        }
        if (titles != null) {
            for (int i2 = 0; i2 < titles.size(); i2++) {
                fileContent.append(titles.get(i2)).append(COMMA);
            }
            StringBuffer stringBuffer = new StringBuffer(fileContent.substring(0, fileContent.length() - 1));
            fileContent = stringBuffer;
            stringBuffer.append(LifeFile.LINE_SEPARATOR);
        }
        if (recordList != null) {
            Iterator iterator = recordList.iterator();
            while (iterator.hasNext()) {
                Map record = (Map) iterator.next();
                for (int i3 = 0; i3 < outputFields.size(); i3++) {
                    Object obj = record.get(outputFields.get(i3)) == null ? "" : record.get(outputFields.get(i3));
                    String format = (String) outputFormats.get(i3);
                    String fieldValue = FileParserUtil.transformFormat(obj.toString(), format);
                    if (obj.toString().indexOf(".") >= 0 || "".equals(obj)) {
                        fileContent.append("\"").append(fieldValue.trim()).append("\",");
                    } else {
                        fileContent.append("\"").append(fieldValue.trim()).append("\t\"").append(COMMA);
                    }
                }
                StringBuffer stringBuffer2 = new StringBuffer(fileContent.substring(0, fileContent.length() - 1));
                fileContent = stringBuffer2;
                stringBuffer2.append(LifeFile.LINE_SEPARATOR);
            }
        }
        LifeFile.writeStringToFile(filePathName, fileContent.toString(), encoding, false);
    }
}
